Bug 178334 - ksconfig doesn't allow HP (cciss) disk names
ksconfig doesn't allow HP (cciss) disk names
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-kickstart (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks: 189992
  Show dependency treegraph
 
Reported: 2006-01-19 10:38 EST by Andrew Smith
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHEA-2006-0706
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 15:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Smith 2006-01-19 10:38:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The ksconfig GUI tool doesn't allow the user HP cciss disk names.  For example, on a typical HPDL380 the disk are exposed to the OS with names like:

/dev/cciss/c0d0

or

/dev/cciss/c1d2


In this naming scheme the integer following the last c is the controller number and the integer following the last d is the disk number.  In a kickstart script one can use "cciss/c0d0" and anaconda handles the situation correctly.  The ksconfig GUI however will not allow the user to enter anything other than a name like "sdx" or "hdx".  If one attempts to enter a cciss device name the GUI will not allow it and reset the field.  These names should clearly be allowed.



Version-Release number of selected component (if applicable):
system-config-kickstart-2.5.16-2

How reproducible:
Always

Steps to Reproduce:
1.  start the ksconfig tool
2.  on the partition information section add a partition
3.  choose the ondisk option
4.  enter a cciss disk name like 'cciss/c0d0'

  

Actual Results:  ksconfig disallows the entry and resets the field

Expected Results:  'cciss/c0d0' should be allowed, it is a legal value

Additional info:

cciss drives are found on virtually all HP modern x86 servers, this is a fairly common need
Comment 2 Chris Lumens 2006-01-31 16:42:42 EST
Fixed in rawhide and added to the proper RHEL update proposed list.
Comment 3 Peter Jones 2006-03-17 15:41:10 EST
Chris, did you also get all the other wacky device names here?  If not, we
should be sure to get those too -- ping me and I'll show you the ones we handle
elsewhere.
Comment 5 Chris Lumens 2006-04-10 16:45:29 EDT
Yes, I have added a variety of strange devices from looking through the
Documentation/devices.txt file that comes with the kernel.
Comment 13 Red Hat Bugzilla 2006-10-11 15:07:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0706.html

Note You need to log in before you can comment on or make changes to this bug.